XMLGrammarPoolImpl.Entry (Xerces2 Implementation)
Date: 2014-11-21

org.apache.xerces.util

## Class XMLGrammarPoolImpl.Entry

- java.lang.Object
- - org.apache.xerces.util.XMLGrammarPoolImpl.Entry

- Enclosing class:
    XMLGrammarPoolImpl

      protected static final class XMLGrammarPoolImpl.Entry
      extends java.lang.Object

  This class is a grammar pool entry. Each entry acts as a node in a linked list.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `org.apache.xerces.xni.grammars.XMLGrammarDescription` | `desc`
    `org.apache.xerces.xni.grammars.Grammar` | `grammar`
    `int` | `hash`
    `XMLGrammarPoolImpl.Entry` | `next`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `XMLGrammarPoolImpl.Entry(int hash, org.apache.xerces.xni.grammars.XMLGrammarDescription desc, org.apache.xerces.xni.grammars.Grammar grammar, XMLGrammarPoolImpl.Entry next)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `clear()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### hash

          public int hash

    - #### desc

          public org.apache.xerces.xni.grammars.XMLGrammarDescription desc

    - #### grammar

          public org.apache.xerces.xni.grammars.Grammar grammar

    - #### next

          public XMLGrammarPoolImpl.Entry next

  - ### Constructor Detail

    - #### XMLGrammarPoolImpl.Entry

          protected XMLGrammarPoolImpl.Entry(int hash,
                                  org.apache.xerces.xni.grammars.XMLGrammarDescription desc,
                                  org.apache.xerces.xni.grammars.Grammar grammar,
                                  XMLGrammarPoolImpl.Entry next)

  - ### Method Detail

    - #### clear

          protected void clear()

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.